package com.gic.haoban.manage.web.vo.video;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author MUSI
 * @Date 2023/10/27 11:32 AM
 * @Description
 * @Version
 **/
public class CloudVideoInfoVo implements Serializable {



    /**
     * 视频库id
     */
    private String id;

    /**
     * 图片名称或者文件夹名称
     */
    private String name;

    /**
     * 视频url
     */
    private String videoUrl;

    /**
     * 视频第一针url
     */
    private String imageUrl;

    /**
     * 视频大小（m)
     */
    private Double size;

    /**
     * 视频类型
     */
    private String videoType;

    /**
     * 0:未被引用，1：已被引用
     */
    private Integer quoteStatus;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 所属分组id
     */
    private String parentId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 最后更新时间
     */
    private Date updateTime;

    /**
     * 视频来源
     * 1 直接上传
     * 2 视频模板创作
     */
    private Integer sourceType;

    /**
     * 视频时长
     * 单位秒
     */
    private Integer duration;

    /**
     * 视频比例
     */
    private String spare;

    /**
     * 账户类型
     * 0 超管
     * 1 导购
     * 2 区经
     */
    private Integer userType;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 导购code
     */
    private String userCode;

    /**
     * 用户昵称
     */
    private String userName;

    /**
     * 视频所属分组链
     */
    private String groupName;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public Double getSize() {
        return size;
    }

    public void setSize(Double size) {
        this.size = size;
    }

    public String getVideoType() {
        return videoType;
    }

    public void setVideoType(String videoType) {
        this.videoType = videoType;
    }

    public Integer getQuoteStatus() {
        return quoteStatus;
    }

    public void setQuoteStatus(Integer quoteStatus) {
        this.quoteStatus = quoteStatus;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getSourceType() {
        return sourceType;
    }

    public void setSourceType(Integer sourceType) {
        this.sourceType = sourceType;
    }

    public Integer getDuration() {
        return duration;
    }

    public void setDuration(Integer duration) {
        this.duration = duration;
    }

    public String getSpare() {
        return spare;
    }

    public void setSpare(String spare) {
        this.spare = spare;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }
}
